import javax.swing.*;
import java.awt.*;

public class DrawingAirplaneWindow extends JComponent
{
    private Additional_Enum _airplaneWindowEnum;

    public void SetAddEnum(int decksAmount) {
        for(Additional_Enum item : _airplaneWindowEnum.values())
        {
            if(item.GetAddEnum() == decksAmount)
            {
                _airplaneWindowEnum = item;
                return;
            }
        }
    }

    public void DrawAirplaneWindow(Color colorWindow, Graphics g, float _startPosX, float _startPosY)
    {
        super.paintComponent(g);
        Graphics2D g2d = (Graphics2D) g;

        switch(_airplaneWindowEnum.GetAddEnum())
        {
            case 1:
                g2d.setPaint(colorWindow);
                g2d.fillOval((int)_startPosX + 9, (int)_startPosY + 11, 6, 4);

                g2d.setPaint(Color.BLACK);
                g2d.drawOval((int)_startPosX + 9, (int)_startPosY + 11, 6, 4);
                break;
            case 2:
                g2d.setPaint(colorWindow);
                g2d.fillOval((int)_startPosX + 9, (int)_startPosY + 11, 6, 4);
                g2d.fillOval((int)_startPosX + 18, (int)_startPosY + 11, 6, 4);

                g2d.setPaint(Color.BLACK);
                g2d.drawOval((int)_startPosX + 9, (int)_startPosY + 11, 6, 4);
                g2d.drawOval((int)_startPosX + 18, (int)_startPosY + 11, 6, 4);
                break;
            case 3:
                g2d.setPaint(colorWindow);
                g2d.fillOval((int)_startPosX + 9, (int)_startPosY + 11, 6, 4);
                g2d.fillOval((int)_startPosX + 18, (int)_startPosY + 11, 6, 4);
                g2d.fillOval((int)_startPosX + 27, (int)_startPosY + 11, 6, 4);

                g2d.setPaint(Color.BLACK);
                g2d.drawOval((int)_startPosX + 9, (int)_startPosY + 11, 6, 4);
                g2d.drawOval((int)_startPosX + 18, (int)_startPosY + 11, 6, 4);
                g2d.drawOval((int)_startPosX + 27, (int)_startPosY + 11, 6, 4);
                break;
        }
    }
}